﻿*************************************************************************************
***Selbstversion für KINDL Onkologie-Modul
***KINDL_Kinderversion_Modul_Onkologie.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Items bilden 4 Skalen ab. Zu Skala 1 und 4 existieren jeweils Zusatzitems "Das hat mich gestört", die zusätzliche Items ergeben


*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE c_onk01a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk01a.
RECODE c_onk02a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk02a.
RECODE c_onk03a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk03a.
RECODE c_onk04a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk04a.
RECODE c_onk_05 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_05.
RECODE c_onk_06 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_06 .
RECODE c_onk_07 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_07 .
RECODE c_onk_08 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_08.
RECODE c_onk31a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk31a.
RECODE c_onk32a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk32a.
RECODE c_onk33a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk33a.
RECODE c_onk34a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk34a.
RECODE c_onk35a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk35a.
RECODE c_onk36a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk36a.
RECODE c_onk37a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk37a.
RECODE c_onk38a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk38a.
RECODE c_onk39a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk39a.
RECODE c_onk40a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk40a.
RECODE c_onk41a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk41a.

RECODE c_onk01b (1=3) (2=2) (3=1) INTO c_xnk01b.
RECODE c_onk02b (1=3) (2=2) (3=1) INTO c_xnk02b.
RECODE c_onk03b (1=3) (2=2) (3=1) INTO c_xnk03b.
RECODE c_onk04b (1=3) (2=2) (3=1) INTO c_xnk04b.
RECODE c_onk31b (1=3) (2=2) (3=1) INTO c_xnk31b.
RECODE c_onk32b (1=3) (2=2) (3=1) INTO c_xnk32b.
RECODE c_onk33b (1=3) (2=2) (3=1) INTO c_xnk33b.
RECODE c_onk34b (1=3) (2=2) (3=1) INTO c_xnk34b.
RECODE c_onk35b (1=3) (2=2) (3=1) INTO c_xnk35b.
RECODE c_onk36b (1=3) (2=2) (3=1) INTO c_xnk36b.
RECODE c_onk37b (1=3) (2=2) (3=1) INTO c_xnk37b.
RECODE c_onk38b (1=3) (2=2) (3=1) INTO c_xnk38b.
RECODE c_onk39b (1=3) (2=2) (3=1) INTO c_xnk39b.
RECODE c_onk40b (1=3) (2=2) (3=1) INTO c_xnk40b.
RECODE c_onk41b (1=3) (2=2) (3=1) INTO c_xnk41b.

*Positive gpolte Items.
RECODE c_onk09 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_09. 
RECODE c_onk10 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_10. 
RECODE c_onk11 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_11. 
RECODE c_onk12 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_12. 
RECODE c_onk13 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_13. 


VARIABLE LABELS
c_xnk01a 'konnte ich nicht aufstehen und habe die meiste Zeit im Bett gelegen'
c_xnk01b 'es störte mich, dass ich nicht aufstehen konnte'
c_xnk02a 'hatte keinen Appetit'
c_xnk02b 'es störte mich, dass ich keinen Appetit hatte'
c_xnk03a 'war mir übel, mußte ich erbrechen'
c_xnk03b 'es störte mich, dass mir übel war'
c_xnk04a 'hatte ich eine Infektion (kaputter Mund, Magen-Darm-Probleme, Durchfall, Hautprobleme)'
c_xnk04b 'es störte mich, dass ich eine Infektion hatte'
c_xnk_05 'wollte ich niemanden sehen'
c_xnk_06 'wegen Ambulanz/KH-Termins schlechte Laune'
c_xnk_07 'wegen Krankheit schlechte Laune'
c_xnk_08 'habe ich nachgedacht, wie es mit Krankheit weitergehen wird'
c_xnk_09 'habe ich reglemäßig Kontakt zu Schulkameraden gehabt'
c_xnk_10 'haben meine Freunde mich besucht'
c_xnk_11 'haben meine Freunde mir geholfen'
c_xnk_12 'bin ich zur Schule gegangen'
c_xnk_13 'war ich "fit" genug, um Sport mitzumachen'
c_xnk31a 'wurde ich ärztlich untersucht'
c_xnk31b 'gestört, daß ich ärztlich untersucht wurde'
c_xnk32a 'war ich im Krankenhaus'
c_xnk32b 'gestört, daß ich im Krankenhaus war'
c_xnk33a 'hatte ich Chemotherapie'
c_xnk33b 'gestört, daß ich Chemotherapie hatte'
c_xnk34a 'mußte ich Mundpflege betreiben'
c_xnk34b 'gestört, daß ich Mundpflege betreiben mußte'
c_xnk35a 'wurden mir Pflaster abgenommen'
c_xnk35b 'gestört, daß mir Pflaster abgenommen wurden'
c_xnk36a 'hatte ich einen Fingerpieks'
c_xnk36b 'gestört, daß ich Fingerpieks hatte'
c_xnk37a 'wurde ich punktiert'
c_xnk37b 'gestört, daß ich punktiert wurde'
c_xnk38a 'mußte Brovi/Port gepflegt werden'
c_xnk38b 'gestört, daß Katheter gepflegt werden mußte'
c_xnk39a 'habe ich Schmerzmittel/ Morphine bekommen'
c_xnk39b 'gestört, daß ich Schmerzmittel bekommen mußte'
c_xnk40a 'habe ich Ernährungsinfusionen bekommen'
c_xnk40b 'gestört, daß ich Ernährungsinfusionen bekommen habe'
c_xnk41a 'wurde ich bestrahlt'
c_xnk41b 'gestört, daß ich bestrahlt wurde'.

VALUE LABELS
c_xnk01a c_xnk02a c_xnk03a c_xnk04a c_xnk_05 c_xnk_06 c_xnk_07 c_xnk_08
c_xnk31a c_xnk32a c_xnk33a c_xnk34a c_xnk35a c_xnk36a c_xnk37a c_xnk38a c_xnk39a c_xnk40a c_xnk41a
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
 c_xnk_09 c_xnk_10 c_xnk_11 c_xnk_12 c_xnk_13
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

VALUE LABELS
c_xnk01b c_xnk02b c_xnk03b c_xnk31b c_xnk32b c_xnk33b c_xnk34b c_xnk35b c_xnk36b c_xnk37b c_xnk38b c_xnk39b c_xnk40b c_xnk41b
1 'sehr'
2 'mittel'
3 'gar nicht'.
EXECUTE.

****Skala "Körper".
*Berechnung Summenscore.
COMPUTE onk_ph_mean = mean.3(c_xnk01a, c_xnk02a, c_xnk03a, c_xnk04a).
EXECUTE.

COMPUTE onk_ph_sum = onk_ph_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_ph_100 = ((onk_ph_sum-4)/12)*100.
EXECUTE.


****Skala "Körper Stören".
*Berechnung Summenscore.
COMPUTE onk_ps_mean = mean.3(c_xnk01b, c_xnk02b, c_xnk03b, c_xnk04b).
EXECUTE.

COMPUTE onk_ps_sum = onk_ps_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_ph_100 = ((onk_ps_sum-4)/12)*100.
EXECUTE.


****Skala "Mental Health".
*Berechnung Summenscore.
COMPUTE onk_mh_mean = mean.3(c_xnk_05, c_xnk_06, c_xnk_07, c_xnk_08).
EXECUTE.

COMPUTE onk_mh_sum = onk_mh_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_mh_100 = ((onk_mh_sum-4)/12)*100.
EXECUTE.

****Skala "Social".
*Berechnung Summenscore.
COMPUTE onk_so_mean = mean.4(c_xnk_09, c_xnk_10, c_xnk_11, c_xnk_12, c_xnk_13).
EXECUTE.

COMPUTE onk_so_sum = onk_so_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_so_100 = ((onk_so_sum-4)/12)*100.
EXECUTE.

****Skala "Medical Treatment".
*Berechnung Summenscore.
COMPUTE onk_mt_mean = mean.8(c_xnk31a, c_xnk32a, c_xnk33a, c_xnk34a, c_xnk35a, c_xnk36a, c_xnk37a, c_xnk38a, c_xnk39a, c_xnk40a, c_xnk_41a).
EXECUTE.

COMPUTE onk_mt_sum = onk_mt_mean*11.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_mt_100 = ((onk_mt_sum-4)/12)*100.
EXECUTE.

****Skala "Medical Treatment Stören".
*Berechnung Summenscore.
COMPUTE onk_ms_mean = mean.8(c_xnk31b, c_xnk32b, c_xnk33b, c_xnk34b, c_xnk35b, c_xnk36b, c_xnk37b, c_xnk38b, c_xnk39b, c_xnk40b, c_xnk_41b).
EXECUTE.

COMPUTE onk_ms_sum = onk_ms_mean*11.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE onk_ms_100 = ((onk_ms_sum-4)/12)*100.
EXECUTE.



VARIABLE LABELS
onk_ph_mean 'KINDL Onkologie Modul Skala Körper Mittelwert'
onk_ph_sum 'KINDL Onkologie Modul Skala Körper Summe'
onk_ph_100 'KINDL Onkologie Modul Skala Körper 100'
onk_ps_mean 'KINDL Onjologie Modul Skala Körper Stören Mittelwert'
onk_ps_sum 'KINDL Onkologie Modul Skala Körper Stören Summe'
onk_ps_100 'KINDL Onkologie Modul Skala Körper Stören 100'
onk_mh_mean 'KINDL Onkologie Modue Skala Mental Health Mittelwert'
onk_mh_sum 'KINDL Onkologie Modul Skala Mental Health Summe'
onk_mh_100 'KINDL Onkologie Modul Skala Mental Health 100'
onk_so_mean 'KINDL Onkologie Modul Skala Social Mittelwert'
onk_so_sum 'KINDL Onkologie Modul Skala Social Summe'
onk_so_100 'KINDL Onkologie Modul Skala Social 100'
onk_mt_mean 'KINDL Onkologie Modul Skala Medical Treatment Mittelwert'
onk_mt_sum 'KINDL Onkologie Modul Skala Medical Treatment Summe'
onk_mt_100 'KINDL Onkologie Modul Skala Medical Treatment 100'
onk_ms_mean 'KINDL Onkologie Modul Skala Medical Treatment Stören Mittelwert'
onk_ms_sum 'KINDL Onkologie Modul Skala Medical Treatmen Stören Summe'
onk_ms_100 'KINDL Onkologie Modul Skala Medical Treatment Stören 100'.
EXECUTE.

